Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.schema.binding
Interface Deserializer

All Superinterfaces:
  Deserializer, DeserializerFactory, Serializable

All Known Implementing Classes:
  AbstractCodec

public interface Deserializer
extends Deserializer, DeserializerFactory

A Deserialzer is responsible for taking an xml instance of some Schema Type and creating and populating a corresponding Java Object.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Object` | `deserialize(XMLName name, Attribute att, weblogic.xml.schema.binding.DeserializationContext context)` Take an XML instance, create and populate the corresponding Object.
`Object` | `deserialize(XMLName name, XMLInputStream reader, weblogic.xml.schema.binding.DeserializationContext context)` Take an XML instance, create and populate the corresponding Object.

Methods inherited from interface javax.xml.rpc.encoding.Deserializer
`getMechanismType`

Methods inherited from interface javax.xml.rpc.encoding.DeserializerFactory
`getDeserializerAs, getSupportedMechanismTypes`

Method Detail

### deserialize

    public Object deserialize(XMLName name,
                              Attribute att,
                              weblogic.xml.schema.binding.DeserializationContext context)
                       throws DeserializationException

  Take an XML instance, create and populate the corresponding Object. `deserialize` may be called recusively as needed to build contained Objects thus building up the full graph of contained Objects.

  Parameters:
    `name` - The expected name of the XML element
    `att` - The attribute containing the value to deserialize
  Throws:
    `DeserializationException` - If an error occurs

### deserialize

    public Object deserialize(XMLName name,
                              XMLInputStream reader,
                              weblogic.xml.schema.binding.DeserializationContext context)
                       throws DeserializationException

  Take an XML instance, create and populate the corresponding Object. `deserialize` may be called recusively as needed to build contained Objects thus building up the full graph of contained Objects.

  Parameters:
    `name` - The expected name of the XML element
    `reader` - The XML stream containing the XML to deserialize
  Throws:
    `DeserializationException` - If an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD